Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network8.9.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
8.9.0.0
Broadcast address
8.9.127.255
First usable
8.9.0.1
Last usable
8.9.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 08090000 · Integer 134807552 to 134840319
Reverse DNS zones
0.9.8.in-addr.arpa
1.9.8.in-addr.arpa
2.9.8.in-addr.arpa
3.9.8.in-addr.arpa
4.9.8.in-addr.arpa
5.9.8.in-addr.arpa
6.9.8.in-addr.arpa
7.9.8.in-addr.arpa
8.9.8.in-addr.arpa
9.9.8.in-addr.arpa
10.9.8.in-addr.arpa
11.9.8.in-addr.arpa
12.9.8.in-addr.arpa
13.9.8.in-addr.arpa
14.9.8.in-addr.arpa
15.9.8.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001000.00001001.00000000.000000008.9.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00001000.00001001.00000000.000000008.9.0.0
Broadcast00001000.00001001.01111111.111111118.9.127.255
Split into smaller subnets/26

8.9.0.0/17 makes 512 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
18.9.0.0/268.9.0.1 to 8.9.0.628.9.0.6362
28.9.0.64/268.9.0.65 to 8.9.0.1268.9.0.12762
38.9.0.128/268.9.0.129 to 8.9.0.1908.9.0.19162
48.9.0.192/268.9.0.193 to 8.9.0.2548.9.0.25562
58.9.1.0/268.9.1.1 to 8.9.1.628.9.1.6362
68.9.1.64/268.9.1.65 to 8.9.1.1268.9.1.12762
78.9.1.128/268.9.1.129 to 8.9.1.1908.9.1.19162
88.9.1.192/268.9.1.193 to 8.9.1.2548.9.1.25562
98.9.2.0/268.9.2.1 to 8.9.2.628.9.2.6362
108.9.2.64/268.9.2.65 to 8.9.2.1268.9.2.12762
118.9.2.128/268.9.2.129 to 8.9.2.1908.9.2.19162
128.9.2.192/268.9.2.193 to 8.9.2.2548.9.2.25562
138.9.3.0/268.9.3.1 to 8.9.3.628.9.3.6362
148.9.3.64/268.9.3.65 to 8.9.3.1268.9.3.12762
158.9.3.128/268.9.3.129 to 8.9.3.1908.9.3.19162
168.9.3.192/268.9.3.193 to 8.9.3.2548.9.3.25562
178.9.4.0/268.9.4.1 to 8.9.4.628.9.4.6362
188.9.4.64/268.9.4.65 to 8.9.4.1268.9.4.12762
198.9.4.128/268.9.4.129 to 8.9.4.1908.9.4.19162
208.9.4.192/268.9.4.193 to 8.9.4.2548.9.4.25562
218.9.5.0/268.9.5.1 to 8.9.5.628.9.5.6362
228.9.5.64/268.9.5.65 to 8.9.5.1268.9.5.12762
238.9.5.128/268.9.5.129 to 8.9.5.1908.9.5.19162
248.9.5.192/268.9.5.193 to 8.9.5.2548.9.5.25562
258.9.6.0/268.9.6.1 to 8.9.6.628.9.6.6362
268.9.6.64/268.9.6.65 to 8.9.6.1268.9.6.12762
278.9.6.128/268.9.6.129 to 8.9.6.1908.9.6.19162
288.9.6.192/268.9.6.193 to 8.9.6.2548.9.6.25562
298.9.7.0/268.9.7.1 to 8.9.7.628.9.7.6362
308.9.7.64/268.9.7.65 to 8.9.7.1268.9.7.12762
318.9.7.128/268.9.7.129 to 8.9.7.1908.9.7.19162
328.9.7.192/268.9.7.193 to 8.9.7.2548.9.7.25562
338.9.8.0/268.9.8.1 to 8.9.8.628.9.8.6362
348.9.8.64/268.9.8.65 to 8.9.8.1268.9.8.12762
358.9.8.128/268.9.8.129 to 8.9.8.1908.9.8.19162
368.9.8.192/268.9.8.193 to 8.9.8.2548.9.8.25562
378.9.9.0/268.9.9.1 to 8.9.9.628.9.9.6362
388.9.9.64/268.9.9.65 to 8.9.9.1268.9.9.12762
398.9.9.128/268.9.9.129 to 8.9.9.1908.9.9.19162
408.9.9.192/268.9.9.193 to 8.9.9.2548.9.9.25562
418.9.10.0/268.9.10.1 to 8.9.10.628.9.10.6362
428.9.10.64/268.9.10.65 to 8.9.10.1268.9.10.12762
438.9.10.128/268.9.10.129 to 8.9.10.1908.9.10.19162
448.9.10.192/268.9.10.193 to 8.9.10.2548.9.10.25562
458.9.11.0/268.9.11.1 to 8.9.11.628.9.11.6362
468.9.11.64/268.9.11.65 to 8.9.11.1268.9.11.12762
478.9.11.128/268.9.11.129 to 8.9.11.1908.9.11.19162
488.9.11.192/268.9.11.193 to 8.9.11.2548.9.11.25562
498.9.12.0/268.9.12.1 to 8.9.12.628.9.12.6362
508.9.12.64/268.9.12.65 to 8.9.12.1268.9.12.12762
518.9.12.128/268.9.12.129 to 8.9.12.1908.9.12.19162
528.9.12.192/268.9.12.193 to 8.9.12.2548.9.12.25562
538.9.13.0/268.9.13.1 to 8.9.13.628.9.13.6362
548.9.13.64/268.9.13.65 to 8.9.13.1268.9.13.12762
558.9.13.128/268.9.13.129 to 8.9.13.1908.9.13.19162
568.9.13.192/268.9.13.193 to 8.9.13.2548.9.13.25562
578.9.14.0/268.9.14.1 to 8.9.14.628.9.14.6362
588.9.14.64/268.9.14.65 to 8.9.14.1268.9.14.12762
598.9.14.128/268.9.14.129 to 8.9.14.1908.9.14.19162
608.9.14.192/268.9.14.193 to 8.9.14.2548.9.14.25562
618.9.15.0/268.9.15.1 to 8.9.15.628.9.15.6362
628.9.15.64/268.9.15.65 to 8.9.15.1268.9.15.12762
638.9.15.128/268.9.15.129 to 8.9.15.1908.9.15.19162
648.9.15.192/268.9.15.193 to 8.9.15.2548.9.15.25562
658.9.16.0/268.9.16.1 to 8.9.16.628.9.16.6362
668.9.16.64/268.9.16.65 to 8.9.16.1268.9.16.12762
678.9.16.128/268.9.16.129 to 8.9.16.1908.9.16.19162
688.9.16.192/268.9.16.193 to 8.9.16.2548.9.16.25562
698.9.17.0/268.9.17.1 to 8.9.17.628.9.17.6362
708.9.17.64/268.9.17.65 to 8.9.17.1268.9.17.12762
718.9.17.128/268.9.17.129 to 8.9.17.1908.9.17.19162
728.9.17.192/268.9.17.193 to 8.9.17.2548.9.17.25562
738.9.18.0/268.9.18.1 to 8.9.18.628.9.18.6362
748.9.18.64/268.9.18.65 to 8.9.18.1268.9.18.12762
758.9.18.128/268.9.18.129 to 8.9.18.1908.9.18.19162
768.9.18.192/268.9.18.193 to 8.9.18.2548.9.18.25562
778.9.19.0/268.9.19.1 to 8.9.19.628.9.19.6362
788.9.19.64/268.9.19.65 to 8.9.19.1268.9.19.12762
798.9.19.128/268.9.19.129 to 8.9.19.1908.9.19.19162
808.9.19.192/268.9.19.193 to 8.9.19.2548.9.19.25562
818.9.20.0/268.9.20.1 to 8.9.20.628.9.20.6362
828.9.20.64/268.9.20.65 to 8.9.20.1268.9.20.12762
838.9.20.128/268.9.20.129 to 8.9.20.1908.9.20.19162
848.9.20.192/268.9.20.193 to 8.9.20.2548.9.20.25562
858.9.21.0/268.9.21.1 to 8.9.21.628.9.21.6362
868.9.21.64/268.9.21.65 to 8.9.21.1268.9.21.12762
878.9.21.128/268.9.21.129 to 8.9.21.1908.9.21.19162
888.9.21.192/268.9.21.193 to 8.9.21.2548.9.21.25562
898.9.22.0/268.9.22.1 to 8.9.22.628.9.22.6362
908.9.22.64/268.9.22.65 to 8.9.22.1268.9.22.12762
918.9.22.128/268.9.22.129 to 8.9.22.1908.9.22.19162
928.9.22.192/268.9.22.193 to 8.9.22.2548.9.22.25562
938.9.23.0/268.9.23.1 to 8.9.23.628.9.23.6362
948.9.23.64/268.9.23.65 to 8.9.23.1268.9.23.12762
958.9.23.128/268.9.23.129 to 8.9.23.1908.9.23.19162
968.9.23.192/268.9.23.193 to 8.9.23.2548.9.23.25562
978.9.24.0/268.9.24.1 to 8.9.24.628.9.24.6362
988.9.24.64/268.9.24.65 to 8.9.24.1268.9.24.12762
998.9.24.128/268.9.24.129 to 8.9.24.1908.9.24.19162
1008.9.24.192/268.9.24.193 to 8.9.24.2548.9.24.25562
1018.9.25.0/268.9.25.1 to 8.9.25.628.9.25.6362
1028.9.25.64/268.9.25.65 to 8.9.25.1268.9.25.12762
1038.9.25.128/268.9.25.129 to 8.9.25.1908.9.25.19162
1048.9.25.192/268.9.25.193 to 8.9.25.2548.9.25.25562
1058.9.26.0/268.9.26.1 to 8.9.26.628.9.26.6362
1068.9.26.64/268.9.26.65 to 8.9.26.1268.9.26.12762
1078.9.26.128/268.9.26.129 to 8.9.26.1908.9.26.19162
1088.9.26.192/268.9.26.193 to 8.9.26.2548.9.26.25562
1098.9.27.0/268.9.27.1 to 8.9.27.628.9.27.6362
1108.9.27.64/268.9.27.65 to 8.9.27.1268.9.27.12762
1118.9.27.128/268.9.27.129 to 8.9.27.1908.9.27.19162
1128.9.27.192/268.9.27.193 to 8.9.27.2548.9.27.25562
1138.9.28.0/268.9.28.1 to 8.9.28.628.9.28.6362
1148.9.28.64/268.9.28.65 to 8.9.28.1268.9.28.12762
1158.9.28.128/268.9.28.129 to 8.9.28.1908.9.28.19162
1168.9.28.192/268.9.28.193 to 8.9.28.2548.9.28.25562
1178.9.29.0/268.9.29.1 to 8.9.29.628.9.29.6362
1188.9.29.64/268.9.29.65 to 8.9.29.1268.9.29.12762
1198.9.29.128/268.9.29.129 to 8.9.29.1908.9.29.19162
1208.9.29.192/268.9.29.193 to 8.9.29.2548.9.29.25562
1218.9.30.0/268.9.30.1 to 8.9.30.628.9.30.6362
1228.9.30.64/268.9.30.65 to 8.9.30.1268.9.30.12762
1238.9.30.128/268.9.30.129 to 8.9.30.1908.9.30.19162
1248.9.30.192/268.9.30.193 to 8.9.30.2548.9.30.25562
1258.9.31.0/268.9.31.1 to 8.9.31.628.9.31.6362
1268.9.31.64/268.9.31.65 to 8.9.31.1268.9.31.12762
1278.9.31.128/268.9.31.129 to 8.9.31.1908.9.31.19162
1288.9.31.192/268.9.31.193 to 8.9.31.2548.9.31.25562
1298.9.32.0/268.9.32.1 to 8.9.32.628.9.32.6362
1308.9.32.64/268.9.32.65 to 8.9.32.1268.9.32.12762
1318.9.32.128/268.9.32.129 to 8.9.32.1908.9.32.19162
1328.9.32.192/268.9.32.193 to 8.9.32.2548.9.32.25562
1338.9.33.0/268.9.33.1 to 8.9.33.628.9.33.6362
1348.9.33.64/268.9.33.65 to 8.9.33.1268.9.33.12762
1358.9.33.128/268.9.33.129 to 8.9.33.1908.9.33.19162
1368.9.33.192/268.9.33.193 to 8.9.33.2548.9.33.25562
1378.9.34.0/268.9.34.1 to 8.9.34.628.9.34.6362
1388.9.34.64/268.9.34.65 to 8.9.34.1268.9.34.12762
1398.9.34.128/268.9.34.129 to 8.9.34.1908.9.34.19162
1408.9.34.192/268.9.34.193 to 8.9.34.2548.9.34.25562
1418.9.35.0/268.9.35.1 to 8.9.35.628.9.35.6362
1428.9.35.64/268.9.35.65 to 8.9.35.1268.9.35.12762
1438.9.35.128/268.9.35.129 to 8.9.35.1908.9.35.19162
1448.9.35.192/268.9.35.193 to 8.9.35.2548.9.35.25562
1458.9.36.0/268.9.36.1 to 8.9.36.628.9.36.6362
1468.9.36.64/268.9.36.65 to 8.9.36.1268.9.36.12762
1478.9.36.128/268.9.36.129 to 8.9.36.1908.9.36.19162
1488.9.36.192/268.9.36.193 to 8.9.36.2548.9.36.25562
1498.9.37.0/268.9.37.1 to 8.9.37.628.9.37.6362
1508.9.37.64/268.9.37.65 to 8.9.37.1268.9.37.12762
1518.9.37.128/268.9.37.129 to 8.9.37.1908.9.37.19162
1528.9.37.192/268.9.37.193 to 8.9.37.2548.9.37.25562
1538.9.38.0/268.9.38.1 to 8.9.38.628.9.38.6362
1548.9.38.64/268.9.38.65 to 8.9.38.1268.9.38.12762
1558.9.38.128/268.9.38.129 to 8.9.38.1908.9.38.19162
1568.9.38.192/268.9.38.193 to 8.9.38.2548.9.38.25562
1578.9.39.0/268.9.39.1 to 8.9.39.628.9.39.6362
1588.9.39.64/268.9.39.65 to 8.9.39.1268.9.39.12762
1598.9.39.128/268.9.39.129 to 8.9.39.1908.9.39.19162
1608.9.39.192/268.9.39.193 to 8.9.39.2548.9.39.25562
1618.9.40.0/268.9.40.1 to 8.9.40.628.9.40.6362
1628.9.40.64/268.9.40.65 to 8.9.40.1268.9.40.12762
1638.9.40.128/268.9.40.129 to 8.9.40.1908.9.40.19162
1648.9.40.192/268.9.40.193 to 8.9.40.2548.9.40.25562
1658.9.41.0/268.9.41.1 to 8.9.41.628.9.41.6362
1668.9.41.64/268.9.41.65 to 8.9.41.1268.9.41.12762
1678.9.41.128/268.9.41.129 to 8.9.41.1908.9.41.19162
1688.9.41.192/268.9.41.193 to 8.9.41.2548.9.41.25562
1698.9.42.0/268.9.42.1 to 8.9.42.628.9.42.6362
1708.9.42.64/268.9.42.65 to 8.9.42.1268.9.42.12762
1718.9.42.128/268.9.42.129 to 8.9.42.1908.9.42.19162
1728.9.42.192/268.9.42.193 to 8.9.42.2548.9.42.25562
1738.9.43.0/268.9.43.1 to 8.9.43.628.9.43.6362
1748.9.43.64/268.9.43.65 to 8.9.43.1268.9.43.12762
1758.9.43.128/268.9.43.129 to 8.9.43.1908.9.43.19162
1768.9.43.192/268.9.43.193 to 8.9.43.2548.9.43.25562
1778.9.44.0/268.9.44.1 to 8.9.44.628.9.44.6362
1788.9.44.64/268.9.44.65 to 8.9.44.1268.9.44.12762
1798.9.44.128/268.9.44.129 to 8.9.44.1908.9.44.19162
1808.9.44.192/268.9.44.193 to 8.9.44.2548.9.44.25562
1818.9.45.0/268.9.45.1 to 8.9.45.628.9.45.6362
1828.9.45.64/268.9.45.65 to 8.9.45.1268.9.45.12762
1838.9.45.128/268.9.45.129 to 8.9.45.1908.9.45.19162
1848.9.45.192/268.9.45.193 to 8.9.45.2548.9.45.25562
1858.9.46.0/268.9.46.1 to 8.9.46.628.9.46.6362
1868.9.46.64/268.9.46.65 to 8.9.46.1268.9.46.12762
1878.9.46.128/268.9.46.129 to 8.9.46.1908.9.46.19162
1888.9.46.192/268.9.46.193 to 8.9.46.2548.9.46.25562
1898.9.47.0/268.9.47.1 to 8.9.47.628.9.47.6362
1908.9.47.64/268.9.47.65 to 8.9.47.1268.9.47.12762
1918.9.47.128/268.9.47.129 to 8.9.47.1908.9.47.19162
1928.9.47.192/268.9.47.193 to 8.9.47.2548.9.47.25562
1938.9.48.0/268.9.48.1 to 8.9.48.628.9.48.6362
1948.9.48.64/268.9.48.65 to 8.9.48.1268.9.48.12762
1958.9.48.128/268.9.48.129 to 8.9.48.1908.9.48.19162
1968.9.48.192/268.9.48.193 to 8.9.48.2548.9.48.25562
1978.9.49.0/268.9.49.1 to 8.9.49.628.9.49.6362
1988.9.49.64/268.9.49.65 to 8.9.49.1268.9.49.12762
1998.9.49.128/268.9.49.129 to 8.9.49.1908.9.49.19162
2008.9.49.192/268.9.49.193 to 8.9.49.2548.9.49.25562
2018.9.50.0/268.9.50.1 to 8.9.50.628.9.50.6362
2028.9.50.64/268.9.50.65 to 8.9.50.1268.9.50.12762
2038.9.50.128/268.9.50.129 to 8.9.50.1908.9.50.19162
2048.9.50.192/268.9.50.193 to 8.9.50.2548.9.50.25562
2058.9.51.0/268.9.51.1 to 8.9.51.628.9.51.6362
2068.9.51.64/268.9.51.65 to 8.9.51.1268.9.51.12762
2078.9.51.128/268.9.51.129 to 8.9.51.1908.9.51.19162
2088.9.51.192/268.9.51.193 to 8.9.51.2548.9.51.25562
2098.9.52.0/268.9.52.1 to 8.9.52.628.9.52.6362
2108.9.52.64/268.9.52.65 to 8.9.52.1268.9.52.12762
2118.9.52.128/268.9.52.129 to 8.9.52.1908.9.52.19162
2128.9.52.192/268.9.52.193 to 8.9.52.2548.9.52.25562
2138.9.53.0/268.9.53.1 to 8.9.53.628.9.53.6362
2148.9.53.64/268.9.53.65 to 8.9.53.1268.9.53.12762
2158.9.53.128/268.9.53.129 to 8.9.53.1908.9.53.19162
2168.9.53.192/268.9.53.193 to 8.9.53.2548.9.53.25562
2178.9.54.0/268.9.54.1 to 8.9.54.628.9.54.6362
2188.9.54.64/268.9.54.65 to 8.9.54.1268.9.54.12762
2198.9.54.128/268.9.54.129 to 8.9.54.1908.9.54.19162
2208.9.54.192/268.9.54.193 to 8.9.54.2548.9.54.25562
2218.9.55.0/268.9.55.1 to 8.9.55.628.9.55.6362
2228.9.55.64/268.9.55.65 to 8.9.55.1268.9.55.12762
2238.9.55.128/268.9.55.129 to 8.9.55.1908.9.55.19162
2248.9.55.192/268.9.55.193 to 8.9.55.2548.9.55.25562
2258.9.56.0/268.9.56.1 to 8.9.56.628.9.56.6362
2268.9.56.64/268.9.56.65 to 8.9.56.1268.9.56.12762
2278.9.56.128/268.9.56.129 to 8.9.56.1908.9.56.19162
2288.9.56.192/268.9.56.193 to 8.9.56.2548.9.56.25562
2298.9.57.0/268.9.57.1 to 8.9.57.628.9.57.6362
2308.9.57.64/268.9.57.65 to 8.9.57.1268.9.57.12762
2318.9.57.128/268.9.57.129 to 8.9.57.1908.9.57.19162
2328.9.57.192/268.9.57.193 to 8.9.57.2548.9.57.25562
2338.9.58.0/268.9.58.1 to 8.9.58.628.9.58.6362
2348.9.58.64/268.9.58.65 to 8.9.58.1268.9.58.12762
2358.9.58.128/268.9.58.129 to 8.9.58.1908.9.58.19162
2368.9.58.192/268.9.58.193 to 8.9.58.2548.9.58.25562
2378.9.59.0/268.9.59.1 to 8.9.59.628.9.59.6362
2388.9.59.64/268.9.59.65 to 8.9.59.1268.9.59.12762
2398.9.59.128/268.9.59.129 to 8.9.59.1908.9.59.19162
2408.9.59.192/268.9.59.193 to 8.9.59.2548.9.59.25562
2418.9.60.0/268.9.60.1 to 8.9.60.628.9.60.6362
2428.9.60.64/268.9.60.65 to 8.9.60.1268.9.60.12762
2438.9.60.128/268.9.60.129 to 8.9.60.1908.9.60.19162
2448.9.60.192/268.9.60.193 to 8.9.60.2548.9.60.25562
2458.9.61.0/268.9.61.1 to 8.9.61.628.9.61.6362
2468.9.61.64/268.9.61.65 to 8.9.61.1268.9.61.12762
2478.9.61.128/268.9.61.129 to 8.9.61.1908.9.61.19162
2488.9.61.192/268.9.61.193 to 8.9.61.2548.9.61.25562
2498.9.62.0/268.9.62.1 to 8.9.62.628.9.62.6362
2508.9.62.64/268.9.62.65 to 8.9.62.1268.9.62.12762
2518.9.62.128/268.9.62.129 to 8.9.62.1908.9.62.19162
2528.9.62.192/268.9.62.193 to 8.9.62.2548.9.62.25562
2538.9.63.0/268.9.63.1 to 8.9.63.628.9.63.6362
2548.9.63.64/268.9.63.65 to 8.9.63.1268.9.63.12762
2558.9.63.128/268.9.63.129 to 8.9.63.1908.9.63.19162
2568.9.63.192/268.9.63.193 to 8.9.63.2548.9.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses